Bug 588242 - DVDROM drive tray immediately closes after using eject /dev/sr0 to eject a DVDROM disc when haldaemon service is started - when it is stopped, it doesn't do this and tray stays open
DVDROM drive tray immediately closes after using eject /dev/sr0 to eject a DV...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 04:43 EDT by Jasper O'neal Hartline
Modified: 2010-12-03 10:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:09:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper O'neal Hartline 2010-05-03 04:43:51 EDT
Description of problem:
DVDROM drive tray immediately closes after using eject /dev/sr0 to eject a DVDROM disc when haldaemon service is started - when it is stopped, it doesn't do this and tray stays open

This machine has been fully updated from the updates-testing repository for i686 and running on the 2.6.32.12-114 i686 kernel

Version-Release number of selected component (if applicable):
hal-0.5.13-9.fc12.i686

How reproducible:
100%

Steps to Reproduce:
1. Turn off all services, reboot, eject /dev/sr0 - tray stays open
2. Turn on haldaemon - chkconfig --level 35 haldaemon on - reboot
3. eject /dev/sr0 opens and immediately closes the drive tray
  
Actual results:
Tray closes all the time can't have 2 seconds to get a DVD data disc out.

Expected results:
Tray should stay open, as it does when haldaemon isn't running.

Additional info:
The DVDROM drive in question is the master on an IDE cable where the CDROM drive is a slave. The CDROM drive does not exhibit this same behaviour.

The kernel params I am using are these:

title Fedora (2.6.32.12-114.fc12.i686)
	root (hd0,1)
	kernel /vmlinuz-2.6.32.12-114.fc12.i686 ro root=UUID=eb5fa84b-7a5f-445d-8741-c8f04b038d0b  LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us selinux=0 rdblacklist=nouveau 5 libata.dma=3 elevator=deadline clocksource=hpet nomodeset
	initrd /initramfs-2.6.32.12-114.fc12.i686.img
Comment 1 Bug Zapper 2010-11-03 11:46:15 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 10:09:17 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.